# Issuing Token Request

The Issuing Token Request resource is used to initiate the tokenization of a card for digital wallets.

When a cardholder attempts to add a card to a digital wallet (e.g., Apple Pay, Google Pay), a token request is generated.

Process the token request to approve or decline the card tokenization.

### The Issuing Token Request object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `cardId` | STRING | Id of the IssuingCard to be tokenized. |
| `walletId` | STRING | Id of the digital wallet requesting tokenization. Options: "apple", "google", "merchant". |
| `methodCode` | STRING | Provisioning method. Options: "app", "manual". |
| `content` | STRING | Processed content of the tokenization request. |
| `signature` | STRING | Digital signature of the content. |
| `metadata` | OBJECT | Additional data passed along with the tokenization request. |

### Create an Issuing Token Request

`POST /v2/issuing-token-request`

Use this route to process a tokenization request from a digital wallet provider.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `cardId` | REQUIRED | Id of the IssuingCard to be tokenized. |
| `walletId` | REQUIRED | Id of the digital wallet making the tokenization request. Options: "apple", "google", "merchant". |
| `methodCode` | REQUIRED | Provisioning method. Options: "app", "manual". |
| `metadata` | OPTIONAL | Additional data to pass along with the tokenization request. |

**Request**

```python
import starkinfra

token_request = starkinfra.issuingtokenrequest.create(
    starkinfra.IssuingTokenRequest(
        card_id="5715709195239424",
        wallet_id="apple",
        method_code="app"
    )
)

print(token_request)
```

**Response**

```python
IssuingTokenRequest(
    card_id=5715709195239424,
    wallet_id=apple,
    method_code=app,
    content=eyJhcHBsaWNhdGlvbklkIjoiY29tLmFwcGxl...,
    signature=MEUCIQDp3GTGqsqDeKLN9aLhxAZ...,
    metadata={}
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-token-request-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-token-request-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-token-request-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-token-request-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-token-request-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-token-request-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-token-request-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-token-request-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-token-request-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-token-request-curl.md)
